
/*************************Team*************************/

/*Column Modifiers*/
	.w_blank { width:10px; min-width:10px; max-width:10px;}
	.w_roster { width:50px; min-width:50px; max-width:50px;}
	.w_move { width:75px; min-width:75px; max-width:75px; }
	.w_player { width:150px; min-width:150px; }
	.w_pos { width:45px; min-width:45px; max-width:45px; }
	.w_pos1_2 { width:50px; min-width:50px; max-width:50px; }
	.w_value { width:50px; min-width:50px; max-width:50px; }
	.w_update { width:225px; min-width:225px; max-width:235px;}
	.w_roster_move { width:55px; min-width:55px; max-width:55px; }
	.w_print { width:8.5in; }
	.w_protected { width:100px; min-width:100px; }
	.w_protected_button { width:95px; min-width:95px; max-width:95px; }

	.col_center { text-align:center; }
	.col_left { text-align:left !important; }
	.col_right { text-align:right !important; }
	
	.marginl4 { margin-left:4px; }

	.noborder { border:0px !important; }
	
	.padr10 { padding-right:10px; }

.cBonusNotEarned { color:#01A9DB !important; }
.cPenalty { color:#eb3810 !important; }

.bonus
{
	margin-left:45px;
	margin-top:0px;
	margin-bottom:0px;
	padding:5px;
}

.bonus_row
{
	font-size:13px;
	margin:5px;
	margin-left:5px;
	white-space:nowrap;
}

.bonus_row_name
{
	margin-left:3px;
}

.bonus_row_points
{
	color:orange;
	font-size:12px;
}

.bonus_title
{
	color:grey;
	font-size:13px;
	font-weight:bold;
}

.button_nopitch {
	background-color:red;
	border:1px solid lightgrey;
	border-radius:8px;
	color:white;
	font-size:7px;
	padding:none;
	vertical-align:middle;
}

.button_protect
{
	color:green;
}

.button_protected
{
	background-color:green !important;
	color:white;
}

.headline
{
	border:1px solid lightgrey;
	background-color:lightyellow;
	padding:10px;
	font-family:Arial, Helvetica, sans-serif;
	font-size:13px;
	font-style:italic;
	color:black;
	max-width:500px;
	margin-left:0px;
	white-space:pre-wrap;
}

.headline_date
{
	text-align:right;
	margin-left:25px;
	margin-bottom:25px;
	margin-top:2px;
	max-width:500px;
	font-size:11px;
	color:grey;
}

.last_update
{
	text-align:right;
	color:lightgrey;
	font-size:13px;
	margin-bottom:10px;
}

/*.logo_team
{
	display:flex;
		align-items:center;
		justify-content:center;
	height:100px;
	text-align:center;
	width:100px;
	
	border:1px solid grey;
	border-radius:8px;
	padding:5px;
}

	.logo_team img
	{
		max-width:100px;
		max-height:100px;
	}
	
.logo_team_none {
	color:lightgrey;
	font-size:20px;
}
*/
.page_container_team
{

}

.page_container_team_print
{
	padding:2px;
	width:8.5in;
}

.printable_header
{
	font-size:11px;
	margin-bottom:10px;
	text-align:right;
}

.printable_link
{
	font-size:11px;
	margin-bottom:10px;
	text-align:right;
}

.section_title_team
{
	margin-left:25px;
	font-weight:bold;
	font-size:90%;
	margin-bottom:15px;
}

.table_stats
{
	margin-left:5px;
	margin-top:15px;
	border:0px solid grey;
	border-collapse:collapse;
}

.table_stats_category_name
{
	text-align:left;
	vertical-align:middle;
	font-weight:bold;
	padding-top:5px;
	padding-bottom:5px;
	padding-left:5px;
	border-bottom:1px solid lightgrey;
	font-size:12px;
}

.table_stats_level_name
{
	background-color:lightgrey;
	font-size:14px;
	font-weight:bold;	
	padding-top:5px;
	padding-bottom:5px;
	padding-left:5px;
	text-align:left;
}

.table_stats_position_header
{
	/*text-align:center;*/
	vertical-align:middle;
	font-size:11px;
	color:darkblue;
	background-color:lightblue;
}

.table_stats_position_header_div
{
	display:inline-block;
}

.table_stats_position_type_name
{
	background-color:lightblue;
	color:darkblue;
	font-size:14px;
	font-weight:bold;
	margin:0px;
	padding-top:5px;
	padding-bottom:5px;
	padding-left:5px;
	padding-right:0px;
	text-align:left;
	vertical-align:middle;
}

.team_header
{
	margin-left:10px;
	margin-top:10px;
	margin-bottom:10px;
}

.team_header_block_info
{
	display:flex;
	flex-direction:column;
	/*display:inline-block;*/
	flex-grow:1;
	margin-left:10px;
}

.team_header_block_warnings
{
	/*display:inline-block;*/
	flex-grow:1;
	max-width:800px;
	text-align:right;
	vertical-align:top;
}

.team_header_cost
{
	margin-left:15px;
	margin-top:1px;
	font-size:14px;
}

.team_header_headline {
	flex-grow:1;
	margin-bottom:10px;
}

.team_header_logo {
	display:flex;
		justify-content:center;
	margin-bottom:10px;
}

.team_header_motto
{
	margin-left:35px;
	font-family:"Comic Sans MS", Arial, sans-serif;
	font-size:16px;
	color:blue;
	margin-top:3px;
	margin-bottom:5px;
}

.team_header_name
{
	font-size:20px;
	font-weight:bold;
}

.team_header_owner
{
	margin-left:15px;
	font-size:14px;
}

.team_header_points
{
	margin-top:10px;
	margin-left:15px;
	font-size:14px;
	color:darkblue;
	font-weight:bold;
}

.team_header_protected
{

	vertical-align:middle;
	font-size:14px;
	padding:2px 5px;
	background-color:green;
	color:white;
	text-align:center;
}

.team_header_protected_sub {
	color:green;
	font-size:11px;
	margin-left:20px;
}

.team_header_protected_container {
	display:flex;
	flex-direction:row;
	margin-top:20px;
	margin-bottom:20px;
	margin-left:25px;
}

.team_header_rank
{
	color:lightblue;
	font-size:13px;
	font-weight:normal;
}

.team_header_sheet {
	display:flex;
		flex-direction:row;
	margin-left:15px;
	margin-top:1px;
	font-size:14px;
}

.team_header_tax
{
	color:darkred;
}

.team_header_warning
{
	font-size:13px;
	min-height:19px;
}

.team_header_warning_desc
{
	display:inline-block;
	text-align:right;
	vertical-align:middle;
	padding-right:5px;
}

.team_header_warning_value
{
	color:red;
	display:inline-block;
	background-color:lightgrey;
	text-align:center;
	vertical-align:middle;
	width:85px;
}

.team_row {
	display:flex;
		flex-direction:row;
}

.team_sheet_container {
	margin-top:10px;
	margin-left:15px;
}

.team_sheet {
	display:flex;
		align-items:center;
		justify-content:center;
	height:100px;
	text-align:center;
	width:80px;
	/*width:250px !important;*/

	border:1px solid grey;
	border-radius:8px;
	padding:5px;


}

	.team_sheet img {
		max-width:77px;
		max-height:100px;
	}
	
.team_sheet_micro {
	display:inline-block;
	border:0px;
	height:20px;
	padding:0px;
	vertical-align:top;
	width:16px;
}

	.team_sheet .img_micro {
		max-width:16px;
		max-height:20px;
	}

.sheet_no {
	border:1px solid lightgrey;
	color:lightgrey;
}

.tr_blank
{
	height:15px;
}

.tr_data
{
	height:25px;
	font-size:12px;
	scroll-margin-top:33px;
}

.tr_data td
{
	border:1px solid lightgrey;
	text-align:center;
	white-space:nowrap;
}

.tr_totals
{
	height:30px;
	font-size:11px;
	font-weight:bold;
	color:darkblue;
}

.tr_totals td
{
	padding-top:5px;
	text-align:center;
	vertical-align:top;
}

@media screen and (max-width: 700px) {

	.bonus {
		margin-left:0px;
	}

	.headline {
		margin-left:0px;
		/*max-width:calc(100% - 20px);*/
		max-width:100%;
	}

	.headline_date {
		margin-left:0px;
		max-width:calc(100% - 20px);
	}
	
	.table_stats {
		margin-left:5px;
	}
	
	.team_header {
		margin-left:0px;
	}
	
	.team_header_block_info {
		margin-left:0px;
	}
	
	.team_header_block_warnings {

	}
	
	.team_header_cost {
		margin-left:0px;
	}
	
	.team_header_headline {
		
	}
	
	.team_header_logo {

	}
	
	.team_header_motto {
		margin-left:0px;
	}

	.team_header_name {

	}

	.team_header_owner {
		margin-left:0px;
	}

	.team_header_points {
		margin-left:0px;
	}
	
	.team_header_protected {
		margin-left:0px;
		max-width:100%;
	}
	
	.team_header_protected_sub {
		margin-left:0px;
		margin-top:5px;
		text-align:center;
	}

	.team_header_protected_container {
		flex-direction:column;
		margin-left:0px;
	}
	
	.team_header_sheet {
		margin-left:0px;
	}
	
	.team_row {
		flex-direction:column;
		margin-bottom:10px;
	}
	
	.team_sheet_container {

	}
	
	.tr_data {
		scroll-margin-top:3px;
	}
}

/***********Team Details**********/

	.details {
		display:flex;
			flex-direction:column;
		font-size:12px;
		margin-top:10px;
		padding:5px;
		max-width:800px;
		
		border:1px solid lightgrey;
	}
	
		.details .headline,
		.details .motto,
		.details .tm_name {
			border:1px solid lightgrey;
			border-radius:4px;
			padding:5px;
		}
	
		.details .expandingArea {
			border:none;
			/*min-height:100px;*/
			width:500px;
		}
		
			.details .expandingArea > textarea {
				
			}
	
		.details .headline {
			width:500px;
		}
		
		.details .headline_no {
			color: grey;					
			font-size: 10px;											
			margin-top:3px;
			text-align:right;
			width: 500px;
		}
		
		.details .motto {
			color: blue;
			font-family:Comic Sans MS, cursive, sans-serif;
			width:500px;
		}
		
		.details .tm_abr {
			text-transform:uppercase;
			width:40px;
		}
		
		.details .tm_name {
			width:500px;
		}

	.label_wide
	{
		/*width:250px !important;*/
	}
		
	.logo_edit {
		display:flex;
			flex-direction:column;
		font-size:13px;
		margin-top:10px;
		padding:5px;
		max-width:800px;
		
		border:1px solid lightgrey;	
	}
	
		.logo_no {
			border:1px solid lightgrey;
		}
		
	.details .row,
	.logo_edit .row {
		display:flex;
			align-items:stretch;
			flex-direction:row;	
		margin-bottom:5px;

	}

		.details .row .buttons,
		.logo_edit .row .buttons {
			display:flex;
				flex-direction:row;
				justify-content:center;
			margin:10px 0px;
			width:100%;
		}
	
			.details .row .buttons input[type="submit"],
			.logo_edit .row .buttons input[type="submit"],
			.logo_edit .row .buttons button {
				margin:0px 2px;
			}
			
			.details .row label,
			.logo_edit .row label {
				color:grey;
				display:flex;
					align-items:center;
					justify-content:flex-end;
				font-size:11px;
				text-align:right;
				min-width:100px;
				max-width:100px;
			}
			
			.details .row .label_top {
				align-items:flex-start;
				padding-top:5px;
			}
		
			.details .row .value,
			.logo_edit .row .value {
				display:flex;
					flex-direction:column;
					flex-grow:1;
					flex-wrap:wrap;
				margin-left:5px;
				padding-top:0px;
			}
			
				.details .row .value input[type="text"],
				.logo_edit .row .value input[type="text"] {
					margin:0px;
				}
				
		.logo_edit .prev_logos {
			display:flex;
				flex-direction:row !important;
				flex-wrap:wrap;
		}
		
			.logo_edit .prev_logo {
				padding:5px;
			}
		
				.logo_edit .prev_logo .prev_logo_season {
					color:grey;
					font-size:11px;
					text-align:center;
				}
				
				.logo_edit .prev_logo .logo_button {
					margin-top:2px;
				}

	.required
	{
		color:grey;
		display:inline-block;
		font-size:11px;
		font-style:italic;
	}
	
	.required_subtitle {
		display:inline-block !important;
		font-weight:normal;
	}

	.subnote
	{
		color:grey;
		font-size:10px;
		margin-left:15px;
		margin-top:2px;
	}

	.subtitle
	{
		color:grey;
		font-size:11px;
	}
				
	.title
	{
		font-size:14px;
		font-weight:bold;
	}
							
	@media screen and (max-width: 700px) {
		
		.details {
			flex-direction:column;	
		}
		
			.details .expandingArea {
				/*width:calc(100% - 6px);*/
				width:100%;
			}
		
			.details .headline {
				width:calc(100% - 5px);
			}
			
			.details .headline_date {
				width:100%;
			}
			
			.details .headline_no {
				width:100%;
			}
			
			.details .motto {
				width:calc(100% - 5px);
			}
			
			.details .tm_abr {
				width:calc(100% - 5px);
			}
			
			.details .tm_name {
				width:calc(100% - 5px);
			}
			
		.details .row,
		.logo_edit .row {
			align-items:flex-start;
			flex-direction:column;
			margin-bottom:8px;
		}
		
			.details .row label,
			.logo_edit .row label {
				justify-content:flex-start;
				margin-bottom:7px;
				min-width:100%;	
				max-width:100%;
				text-align:left;
			}
			
			.details .row .buttons,
			.logo_edit .row .buttons {
				flex-direction:column;
			}
			
				.details .row .buttons input[type="submit"],
				.logo_edit .row .buttons input[type="submit"],
				.logo_edit .row .buttons button {
					margin-top:10px;
				}
			
			.details .row .label_top {
				padding-top:0px;
			}
	
			.details .row .value,
			.logo_edit .row .value {
				margin-left:0px;
				width:100%;
				
			}
	}
	
/**********Team Headlines**********/

	.headline_block {
		display:flex;
			flex-direction:row;
		margin-bottom:15px;
		max-width:650px;
		
		border:1px solid lightgrey;
		padding:10px;
		box-shadow: 2px 2px 5px #888888;
	}
		
	.headline_body {
		flex-grow:1;
		display:flex;
			flex-direction:column;
		margin-left:10px;
	}
	
		.headline_body .headline {
			margin-left:10px;
		}
		
		.headline_body .headline_date {
			margin-bottom:0px;
		}
		
		.headline_body .team_header_motto {
			font-size:14px;
			margin-left:10px;
			margin-top:0px;
			margin-bottom:10px;
		}
		
	.headline_header {
		display:flex;
			flex-direction:row;
			align-items:center;
		margin-bottom:5px;
	}
	
		.hh_team_name {
			font-size:15px;
		}
		
		.hh_team_owner {
			color:grey;
			font-size:12px;
			margin-left:10px;
		}
		
	.headline_logo {
		display:flex;
	}
	
		.headline_logo .logo_team {
			height:75px;
			width:75px;
		}
		
			.headline_logo .logo_team img {
				max-height:70px;
				max-width:70px;
			}
		
	@media screen and (max-width: 700px) {
	
		.headline_block {
			flex-direction:column;
			margin-bottom:25px;

		}
		
		.headline_body {
			margin-left:0px;
		}

		.headline_body .headline {
			margin-left:0px;
		}
		
		.headline_body .team_header_motto {
			margin-left:0px;
		}
		
		.headline_logo {
			justify-content:center;
		}
		
		.headline_logo_no {

		}
	
	}